### 3.7.3 colors.inc

This file is mainly a list of predefined colors, but also has a few color manipulation macros.

#### 3.7.3.1 Predefined colors

#### 3.7.3.2 Color macros

In POV-Ray all colors are handled in RGB color space with a component for the amount of red, green and blue light. However, not everybody thinks this is the most intuitive way to specify colors. For your convenience there are macros included in colors.inc that converts between a few different types of color spaces.
The three supported color spaces:

- `RGB` = < Red, Green, Blue, Filter, Transmit >
- `HSL` = < Hue, Saturation, Lightness, Filter, Transmit >
- `HSV` = < Hue, Saturation, Value, Filter, Transmit >

`CHSL2RGB(Color)`. Converts a color given in `HSL` space to one in `RGB` space.
Parameters:

- `Color` = `HSL` color to be converted.

`CRGB2HSL(Color)`. Converts a color given in `RGB` space to one in `HSL` space.
Parameters:

- `Color` = `RGB` color to be converted.

`CHSV2RGB(Color)`. Converts a color given in `HSV` space to one in `RGB` space.
Parameters:

- `Color` = `HSV` color to be converted.

`CRGB2HSV(Color)`. Converts a color given in `RGB` space to one in `HSV` space.
Parameters:

- `Color` = `RGB` color to be converted.

`Convert_Color(SourceType, DestType, Color)`. Converts a color from one color space to another. Color spaces available are: `RGB`, `HSL`, and `HSV`.
Parameters:

- `SourceType` = Color space of input color.
- `DestType` = Desired output color space.
- `Color` = Color to be converted, in SourceType color space.